org.apache.maven.scm.provider.svn.command.update

## Class SvnUpdateScmResult

- java.lang.Object
- - org.apache.maven.scm.ScmResult
  - - org.apache.maven.scm.command.update.UpdateScmResult
    - - org.apache.maven.scm.command.update.UpdateScmResultWithRevision
      - - org.apache.maven.scm.provider.svn.command.update.SvnUpdateScmResult

- All Implemented Interfaces:
    Serializable

  Deprecated.

      public class SvnUpdateScmResult
      extends UpdateScmResultWithRevision

  Version:
    $Id: SvnUpdateScmResult.java 483105 2006-12-06 15:07:54Z evenisse $
  Author:
    Trygve Laugstøl
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SvnUpdateScmResult(String commandLine, List updatedFiles, int revision)` Deprecated.

  - ### Method Summary

    - ### Methods inherited from class org.apache.maven.scm.command.update.UpdateScmResultWithRevision

      `getRevision`

    - ### Methods inherited from class org.apache.maven.scm.command.update.UpdateScmResult

      `getChanges, getUpdatedFiles, setChanges`

    - ### Methods inherited from class org.apache.maven.scm.ScmResult

      `getCommandLine, getCommandOutput, getProviderMessage, isSuccess`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SvnUpdateScmResult

          public SvnUpdateScmResult(String commandLine,
                            List updatedFiles,
                            int revision)

      Deprecated.

Copyright © 2003–2015. All rights reserved.